org.gitana.platform.services.reference

## Class Reference

- java.lang.Object
- - org.gitana.platform.services.reference.Reference

All Implemented Interfaces:
  Serializable

    public class Reference
    extends Object
    implements Serializable

Author:
  uzi
See Also:
  Serialized Form

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Reference` `create(String reference)`
`static Reference` `create(String typeId, List<String> identifiers)`
`static Reference` `create(String typeId, String... identifiers)`
`static Reference` `create(String typeId, String id)`
`String` `getId()`
`List<String>` `getIdentifiers()`
`String` `getReference()`
`String` `getType()`
`static boolean` `isReference(String reference)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### isReference

    public static boolean isReference(String reference)

#### create

    public static Reference create(String reference)

#### create

    public static Reference create(String typeId,
                                   String id)

#### create

    public static Reference create(String typeId,
                                   List<String> identifiers)

#### create

    public static Reference create(String typeId,
                                   String... identifiers)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### getType

    public String getType()

#### getReference

    public String getReference()

#### getId

    public String getId()

#### getIdentifiers

    public List<String> getIdentifiers()